#pragma once
#include "SDL2/SDL.h"
#include "DrawManager.h"
#include "InputManager.h"
#include "MusicManager.h"
#include "GameInfo.h"

class PostfaseController
{
public:
	PostfaseController(DrawManager *p_drawManager, InputManager *p_inputManager);
	~PostfaseController(void);

	bool Init();
	void Go(GameInfo *gameInfo);
	void Finalize(void);

private:
	char *ObtenerPasswordDeFase(int fase);
	bool MostrarVictoria(GameInfo *gameInfo);

	DrawManager *drawManager;
	InputManager *inputManager;

	SDL_Surface *fondo;
	SDL_Surface *font;
};
